> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub Account List

> List all of your active sub-accounts under your main account.



## OpenAPI

````yaml get /go-api/v1/subAccount/list
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/subAccount/list:
    get:
      tags: []
      summary: Get Sub Account List
      description: List all of your active sub-accounts under your main account.
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type you want to query. 

            Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for
            Rotating Datacenter. 

            Omit this parameter or leave it blank to list sub-accounts under all
            proxy types.
          required: false
          schema:
            type: integer
            title: proxyType
        - name: apiKey
          in: header
          description: Your API key for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubAccountListResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetSubAccountListResponseModel:
      properties:
        account:
          type: object
          title: account
          properties:
            accountNum:
              type: integer
              title: accountNum
              description: The number of active sub-accounts.
              example: 1
            account:
              items:
                $ref: '#/components/schemas/SubAccountListResponseModel'
              type: array
              title: account
      type: object
      required:
        - account
      title: GetSubAccountListResponseModel
    SubAccountListResponseModel:
      properties:
        authAccount:
          type: string
          title: authAccount
          description: The username of the sub-account.
          example: testUser
        authPassword:
          type: string
          title: authPassword
          description: The password of the sub-account.
          example: testPass
        useLimit:
          type: string
          title: useLimit
          description: The traffic limit for the sub-account, in GB.
          example: '5.0'
        useTraffic:
          type: string
          title: useTraffic
          description: Traffic that has been used by sub-account, in GB.
          example: '0.0'
        remark:
          type: string
          title: remark
          description: Optional remarks or description for the sub-account.
          example: test
        proxyType:
          type: integer
          title: proxyType
          description: The proxy type for the sub-account.
          example: 1 - Rotating Residential
      type: object
      required:
        - authAccount
        - authPassword
        - useLimit
        - useTraffic
        - remark
        - proxyType
      title: SubAccountListResponseModel

````